| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Location and Navigation database
BLE Services

Location and Navigation route database. More...

## Functions
void | ble_ln_db_init (void)
| Function for initializing the route database. More...
uint16_t | ble_ln_db_num_records_get (void)
| Function for getting the number of records in the database. More...
ret_code_t | ble_ln_db_record_get (uint8_t record_num, ble_lns_route_t *p_rec)
| Function for getting a record from the database. More...
ret_code_t | ble_ln_db_record_name_get (uint8_t rec_ndx, uint8_t **p_buf)
| Function for getting a record name from the database. More...
ret_code_t | ble_ln_db_record_add (ble_lns_route_t *p_rec)
| Function for adding a record at the end of the database. More...
ret_code_t | ble_ln_db_record_delete (uint8_t record_num)
| Function for deleting a database entry. More...

## Detailed Description

Location and Navigation route database.

## Function Documentation

void ble_ln_db_init | ( | void |  | ) |

Function for initializing the route database.

This call initializes the database holding route records.

Returns
  NRF_SUCCESS on success.

uint16_t ble_ln_db_num_records_get | ( | void |  | ) |

Function for getting the number of records in the database.

This call returns the number of records in the database.

Returns
  Number of records in the database.

ret_code_t ble_ln_db_record_add | ( | ble_lns_route_t * | p_rec | ) |

Function for adding a record at the end of the database.

This call adds a record as the last record in the database.

Parameters

  [in] | p_rec | Pointer to record to add to database.

Returns
  NRF_SUCCESS on success.

ret_code_t ble_ln_db_record_delete | ( | uint8_t | record_num | ) |

Function for deleting a database entry.

This call deletes an record from the database.

Parameters

  [in] | record_num | Index of record to delete.

Returns
  NRF_SUCCESS on success.

ret_code_t ble_ln_db_record_get | ( | uint8_t | record_num,
|  | ble_lns_route_t * | p_rec
| ) |  |

Function for getting a record from the database.

This call returns a specified record from the database.

Parameters

  [in] | record_num | Index of the record to retrieve.
  [out] | p_rec | Pointer to record structure where retrieved record is copied to.

Returns
  NRF_SUCCESS on success.

ret_code_t ble_ln_db_record_name_get | ( | uint8_t | rec_ndx,
|  | uint8_t ** | p_buf
| ) |  |

Function for getting a record name from the database.

This call returns a specified record name from the database.

Parameters

  [in] | rec_ndx | Index of the record to retrieve.
  [out] | p_buf | Pointer to array where retrieved record name is copied to.

Returns
  NRF_SUCCESS on success.